#1646 closed defect (fixed)

spsize incorrect use of uninitialized

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I noticed a problem in the sptest/spsize/size.c file.

At line 211, uninitialized is set to the sum of the global variables used by various components of RTEMS. But then at line 392, uninitialized is set to 0. I guess one or the other is wrong. Should the global variables be assigned to initialized, or is the uninitialized = 0 a spurious assignment?

Change History (3)

comment:1 Changed on Aug 10, 2010 at 10:50:09 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

Replying to comment:1:

I am committing this. I think it is right.

Index: size.c
===================================================================
RCS file: /usr1/CVS/rtems/testsuites/sptests/spsize/size.c,v
retrieving revision 1.66
diff -u -r1.66 size.c
--- size.c 30 Jul 2010 18:52:30 -0000 1.66
+++ size.c 8 Aug 2010 16:32:53 -0000
@@ -389,8 +389,6 @@

/*wkspace.h*/ (sizeof _Workspace_Area);

-uninitialized = 0;
-

#ifndef unix /* make sure this is not a native compile */

#ifdef i386

If you think the code is right now, then close this please.

This makes sense to me.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.